Subject: Re: [PATCH net-next v8 2/2] selftests: openvswitch: add pop_vlan test

From: Aaron Conole <[email-masked]>
Date: Fri, 08 May 2026 10:37:21 -0400

Minxi Hou <[email-masked]> writes:

> Add test_pop_vlan() to verify OVS kernel datapath pop_vlan action
> correctly strips 802.1Q VLAN tags from frames.
>
> Test structure:
> - Baseline: untagged forwarding validates basic connectivity.
> - Negative: forward without pop_vlan, tagged frame is invisible
>   to ns2 (no VLAN sub-interface), ping fails.
> - Positive: pop_vlan strips tag on forward path, push_vlan
>   restores tag on return path, ping succeeds.
>
> Use static ARP entries to avoid VLAN-tagged ARP complexity.
> Rely on ping success/failure for verification -- no tcpdump or
> pcap files needed.
>
> Signed-off-by: Minxi Hou <[email-masked]>
> ---

There is an issue applying to net-next, so this will need to be rebased
on net-next - likely a conflict from 05416ada37aa4 ("selftests:
openvswitch: add tests for tunnel vport refcounting").  Please wait 24h
before reposting and you can include my review tags in 1/2 and 2/2

Reviewed-by: Aaron Conole <[email-masked]>